View Issue Details

IDProjectCategoryView StatusLast Update
0009792Buildsyscommunity buildsyspublic2015-12-15 05:31
Reporterhhorak Assigned To 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Summary0009792: SCLo: Adding packages to external repo for devtoolset-4 SCL
DescriptionI'd like to request to add packages from the following repositories as external repositories to the buildroot of devtoolset-4:
  el6: http://209.132.179.116/devtoolset-4-el6-repo/
  el7: http://209.132.179.116/devtoolset-4-el7-repo/

Reasoning:
When rebuilding packages of devtoolset-4, these include several dependency loops, that are hard to break and for initial break we would need to have working devtoolset-3 collection. It means a lot of work with unsure result.

However, there is another approach, that we already used for building the initial set of collections and that I'd like to use for rebuilding devtooset-4:
* include some packages in external repo
* build the missing packages with the external repo for build dependencies
* rebuild again with only packages from CBS
* remove packages from external repo in cbs
TagsNo tags attached.

Activities

hhorak

hhorak

2015-12-09 16:05

reporter   ~0025021

As consulted on SCLo SIG meeting before two weeks, we need own rebuilds of the released packages, which are now available in this copr repository:
https://copr.fedoraproject.org/coprs/hhorak/devtoolset-4-rebuild-bootstrap/

So the baseurls with RPMs to use are:

https://copr-be.cloud.fedoraproject.org/results/hhorak/devtoolset-4-rebuild-bootstrap/epel-6-$basearch/
https://copr-be.cloud.fedoraproject.org/results/hhorak/devtoolset-4-rebuild-bootstrap/epel-7-$basearch/
bstinson

bstinson

2015-12-15 05:31

administrator   ~0025055

These repos were added to the devtoolset4 tags. @alphacc: I'll commit a script sometime soon to generalize this.

Issue History

Date Modified Username Field Change
2015-11-20 21:54 hhorak New Issue
2015-12-09 16:05 hhorak Note Added: 0025021
2015-12-15 05:31 bstinson Note Added: 0025055
2015-12-15 05:31 bstinson Status new => resolved
2015-12-15 05:31 bstinson Resolution open => fixed